> ## Documentation Index
> Fetch the complete documentation index at: https://docs.calseta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Field Extraction



## OpenAPI

````yaml PATCH /v1/enrichment-field-extractions/{extraction_uuid}
openapi: 3.1.0
info:
  title: Calseta
  description: SOC data platform for security agent consumption
  version: dev
servers: []
security: []
paths:
  /v1/enrichment-field-extractions/{extraction_uuid}:
    patch:
      tags:
        - enrichment-field-extractions
      summary: Patch Enrichment Field Extraction
      operationId: >-
        patch_enrichment_field_extraction_v1_enrichment_field_extractions__extraction_uuid__patch
      parameters:
        - name: extraction_uuid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Extraction Uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EnrichmentFieldExtractionPatch'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/DataResponse_EnrichmentFieldExtractionResponse_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EnrichmentFieldExtractionPatch:
      properties:
        source_path:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Path
        target_key:
          anyOf:
            - type: string
            - type: 'null'
          title: Target Key
        value_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Value Type
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
      type: object
      title: EnrichmentFieldExtractionPatch
      description: Request body for PATCH /v1/enrichment-field-extractions/{uuid}.
    DataResponse_EnrichmentFieldExtractionResponse_:
      properties:
        data:
          $ref: '#/components/schemas/EnrichmentFieldExtractionResponse'
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: DataResponse[EnrichmentFieldExtractionResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EnrichmentFieldExtractionResponse:
      properties:
        uuid:
          type: string
          format: uuid
          title: Uuid
        provider_name:
          type: string
          title: Provider Name
        indicator_type:
          type: string
          title: Indicator Type
        source_path:
          type: string
          title: Source Path
        target_key:
          type: string
          title: Target Key
        value_type:
          type: string
          title: Value Type
        is_system:
          type: boolean
          title: Is System
        is_active:
          type: boolean
          title: Is Active
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - uuid
        - provider_name
        - indicator_type
        - source_path
        - target_key
        - value_type
        - is_system
        - is_active
        - description
        - created_at
        - updated_at
      title: EnrichmentFieldExtractionResponse
      description: Response schema for enrichment field extraction endpoints.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````